DeepFellow DOCS

Create a fine-tuning job

Create a job that fine-tunes a specified model from a given dataset.

POST
/v1/fine_tuning/jobs
AuthorizationBearer <token>

In: header

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

modelModel

The name of the base model to fine-tune.

training_fileTraining File

The ID of the uploaded file containing training data.

validation_file?Validation File

The ID of the uploaded file containing validation data.

hyperparameters?Hyperparameters | null

Hyperparameters for the fine-tuning job.

method?Method | null

The method used for fine-tuning.

suffix?Suffix

A string of up to 64 characters that will be added to the fine-tuned model name.

Response Body

curl -X POST "https://loading/v1/fine_tuning/jobs" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "training_file": "string"  }'
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "project_id": "5eb7cf5a86d9755df3a6c593",
  "object": "fine_tuning.job",
  "model": "string",
  "status": "queued",
  "training_file": "string",
  "validation_file": "string",
  "hyperparameters": {
    "n_epochs": "auto",
    "batch_size": "auto",
    "learning_rate_multiplier": "auto"
  },
  "method": {
    "type": "supervised",
    "supervised": {
      "hyperparameters": {
        "batch_size": "auto",
        "learning_rate_multiplier": "auto",
        "n_epochs": "auto"
      }
    },
    "dpo": {
      "hyperparameters": {
        "batch_size": "auto",
        "beta": "auto",
        "learning_rate_multiplier": "auto",
        "n_epochs": "auto"
      }
    },
    "reinforcement": {
      "hyperparameters": {
        "batch_size": "auto",
        "learning_rate_multiplier": "auto",
        "n_epochs": "auto"
      }
    }
  },
  "created_at": 1782465249,
  "finished_at": 0,
  "fine_tuned_model": "string",
  "suffix": "string",
  "error": {
    "code": "string",
    "message": "string"
  },
  "trained_tokens": 0,
  "worker_job_id": "string",
  "worker_id": "5eb7cf5a86d9755df3a6c593",
  "worker_sync_failures": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.